import type { ManifestMenuItem } from '../../types.js';
import { UmbMenuItemExpansionManager } from './expansion/menu-item-expansion.manager.js';
import { UmbContextBase } from '../../../../../libs/class-api/index.js';
import type { UmbControllerHost } from '../../../../../libs/controller-api/index.js';
export declare class UmbDefaultMenuItemContext extends UmbContextBase {
    #private;
    readonly expansion: UmbMenuItemExpansionManager;
    get manifest(): ManifestMenuItem | undefined;
    set manifest(value: ManifestMenuItem | undefined);
    constructor(host: UmbControllerHost);
}
